Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util
Class PropertyExecutor

    java.lang.Object
      |
      +--org.apache.commons.jexl.util.AbstractExecutor
            |
            +--org.apache.commons.jexl.util.PropertyExecutor

Direct Known Subclasses:
  BooleanPropertyExecutor

public class PropertyExecutor
extends AbstractExecutor

Returned the value of object property when executed.

Field Summary
`protected Introspector` | `introspector`
`protected String` | `methodUsed`

Fields inherited from class org.apache.commons.jexl.util.AbstractExecutor
`method, rlog`

Constructor Summary
`PropertyExecutor(Log r, Introspector ispctr, Class clazz, String property)`

Method Summary
`protected void` | `discover(Class clazz, String property)`
`Object` | `execute(Object o)` Execute method against context.

Methods inherited from class org.apache.commons.jexl.util.AbstractExecutor
`getMethod, isAlive`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### introspector

    protected Introspector introspector

### methodUsed

    protected String methodUsed

Constructor Detail

### PropertyExecutor

    public PropertyExecutor(Log r,
                            Introspector ispctr,
                            Class clazz,
                            String property)

Method Detail

### discover

    protected void discover(Class clazz,
                            String property)

### execute

    public Object execute(Object o)
                   throws IllegalAccessException,
                          InvocationTargetException

  Execute method against context.
  Overrides:
    `execute` in class `AbstractExecutor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.